using System.Data.Entity;
using System.Web.Mvc;
using System.Web.Optimization;
using System.Web.Routing;
using Cmdjy.Dal;

namespace Cmdjy
{
    public class MvcApplication:System.Web.HttpApplication
    {
        protected void Application_Start() {
            Database.SetInitializer(new MigrateDatabaseToLatestVersion<DjyDbContext,Configuration>());

            AreaRegistration.RegisterAllAreas();
            FilterConfig.RegisterGlobalFilters(GlobalFilters.Filters);
            RouteConfig.RegisterRoutes(RouteTable.Routes);
            BundleConfig.RegisterBundles(BundleTable.Bundles);
        }
    }
}
